
package diagrams;
import java.util.Enumeration;

/**
 *
 * @author B. Gaertner
 */
public abstract class AbstractScale {

    /**
     * Wertebereich und Skalenstriche einer Skala.
     */
    AbstractScaleRange scaleRange;
    /**
     * Darstellungseigenschaften einer Skala
     */
    ScaleProperties scaleProps;

    protected AbstractScale (AbstractScaleRange sr, ScaleProperties sp) {
        scaleRange = sr;
        scaleProps = sp;
    }

    public abstract ScaleTransformation createTransformation(AbstractPaintRange sb);
    public abstract Enumeration<TickValue> enumeration();
    public abstract boolean tickIsLabelled(TickValue tv);
}
