
package diagrams;

/**
 *
 * @author B. Gaertner
 */
public class DiagramTransformation {

    ScaleTransformation horizontalTransformation;
    ScaleTransformation verticalTransformation;

    public DiagramTransformation (RenderableScale s1, RenderableScale s2) {
        horizontalTransformation = s1.createTransformation(new HorizontalPaintRange(s1.box));
        verticalTransformation = s2.createTransformation(new VerticalPaintRange(s2.box));
    }

    public int[] transform(double x, double y) {
        return new int[]
        { this.horizontalTransformation.transformToInt(x),
          this.verticalTransformation.transformToInt(y)
        };
    }

    public void transform(double x, double y, int[] res) {
        res[0] = this.horizontalTransformation.transformToInt(x);
        res[1] = this.verticalTransformation.transformToInt(y);
    }
}
