
package diagrams;

/**
 * Eine Skalentransformationrechnet Werte des Wertebereichs einer Skala
 * in ihren Darstellungsbereich um.
 * Die Umrechnung erfolgt jeweils für einen Punkt.
 * Der Nutzer einer Skalentransformationhat ggf. zu prüfen, ob
 * der Umzurechnende Wert im Wertebereich der Skala liegt.
 * @author B. Gaertner
 */
public abstract class ScaleTransformation {

    protected double scale;
    protected double offset1;
    protected double offset2;

    protected ScaleTransformation(double s, double d1, double d2) {
        scale = s;
        offset1 = d1;
        offset2 = d2;
    }

    public abstract double transform(double value);
    public abstract double inverseTransformation(int x);
    public abstract double inverseTransformation(double x);

    public int transformToInt(double value) {
        return (int)Math.round(this.transform(value));
    }
}
